summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorkj-sh6042025-05-27 14:40:21 -0400
committerkj-sh6042025-05-27 14:40:21 -0400
commit92336a472ebc9d8182486d9a7e6da5f936acb19e (patch)
treeac836fe1c3402d3d7355bb89d29ed1c44067f120
parent5eb404c136dadccef1409d5c7b29a4fea98ac8f1 (diff)
kj-gitbot: PKGBUILD
-rw-r--r--coreutils-uutils/PKGBUILD8
1 files changed, 8 insertions, 0 deletions
diff --git a/coreutils-uutils/PKGBUILD b/coreutils-uutils/PKGBUILD
index f301bc7..367a8a5 100644
--- a/coreutils-uutils/PKGBUILD
+++ b/coreutils-uutils/PKGBUILD
@@ -77,6 +77,14 @@ package() {
# additional cleanup
rm $pkgdir/usr/share/bash-completion/completions/*
rm $pkgdir/usr/share/man/man1/{groups.1,hostname.1,install.1,kill.1,more.1,uptime.1}
+
+ # create dummy shell scripts for chcon and runcon
+ install -m 755 <(echo "#!/bin/sh
+echo \"error: chcon not built with coreutils-uutils package\"
+exit 1") $pkgdir/usr/bin/chcon
+ install -m 755 <(echo "#!/bin/sh
+echo \"error: runcon not built with coreutils-uutils package\"
+exit 1") $pkgdir/usr/bin/runcon
}
# vim: ts=2 sw=2 et: